### Hierarchy

- NotificationsClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorRegisterNotificationListener
- methodDescriptorSendNotification
- options_

### Methods

- registerNotificationListener
- sendNotification

## Constructors

### constructor

- new NotificationsClient(hostname: string, credentials?: null | {}, options?: null | {}): NotificationsClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:926

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns NotificationsClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:921

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:923

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:922

### methodDescriptorRegisterNotificationListener

methodDescriptorRegisterNotificationListener: MethodDescriptor < RegisterNotificationListenerRequest , NotificationMessage > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:939

### methodDescriptorSendNotification

methodDescriptorSendNotification: MethodDescriptor < SendNotificationRequest , SendNotificationReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:961

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:924

## Methods

### registerNotificationListener

- registerNotificationListener(request: RegisterNotificationListenerRequest, metadata?: Metadata ): ClientReadableStream < NotificationMessage >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:950

  #### Parameters

  - ##### request: RegisterNotificationListenerRequest

  - ##### Optional metadata: Metadata

  #### Returns ClientReadableStream < NotificationMessage >

### sendNotification

- sendNotification(request: SendNotificationRequest, metadata: null | Metadata ): Promise< SendNotificationReply >
- sendNotification(request: SendNotificationRequest, metadata: null | Metadata, callback: (err: RpcError, response: SendNotificationReply ) => void): ClientReadableStream < SendNotificationReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:972

  #### Parameters

  - ##### request: SendNotificationRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SendNotificationReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:976

  #### Parameters

  - ##### request: SendNotificationRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SendNotificationReply ) => void

    - - (err: RpcError, response: SendNotificationReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendNotificationReply

        #### Returns void

  #### Returns ClientReadableStream < SendNotificationReply >

Generated using TypeDoc